# Class CommandParameterImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.e4.ui.model.application.impl.ApplicationElementImpl
org.eclipse.e4.ui.model.application.commands.impl.CommandParameterImpl

All Implemented Interfaces:
  `MCommandParameter, MApplicationElement, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject`

public class CommandParameterImpl extends ApplicationElementImpl implements MCommandParameter
An implementation of the model object 'Command Parameter'.

The following features are implemented:

- `Name`
- `Type Id`
- `Optional`

Since:
  1.0

## Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`name`
The cached value of the '`Name`' attribute.
`protected static final String`
`NAME_EDEFAULT`
The default value of the '`Name`' attribute.
`protected boolean`
`optional`
The cached value of the '`Optional`' attribute.
`protected static final boolean`
`OPTIONAL_EDEFAULT`
The default value of the '`Optional`' attribute.
`protected static final String`
`TYPE_ID_EDEFAULT`
The default value of the '`Type Id`' attribute.
`protected String`
`typeId`
The cached value of the '`Type Id`' attribute.

### Fields inherited from class ApplicationElementImpl

`CONTRIBUTOR_URI_EDEFAULT, contributorURI, ELEMENT_ID_EDEFAULT, elementId, persistedState, tags, transientData`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CommandParameterImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getName()`
`String`
`getTypeId()`
`boolean`
`isOptional()`
`void`
`setName(String newName)`
`void`
`setOptional(boolean newOptional)`
`void`
`setTypeId(String newTypeId)`
`String`
`toString()`

### Methods inherited from class ApplicationElementImpl

`eInverseRemove, getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eNotify`

## Field Details

### NAME_EDEFAULT

protected static final String NAME_EDEFAULT
The default value of the '`Name`' attribute.

See Also:
  - `getName()`

### name

protected String name
The cached value of the '`Name`' attribute.

See Also:
  - `getName()`

### TYPE_ID_EDEFAULT

protected static final String TYPE_ID_EDEFAULT
The default value of the '`Type Id`' attribute.

See Also:
  - `getTypeId()`

### typeId

protected String typeId
The cached value of the '`Type Id`' attribute.

See Also:
  - `getTypeId()`

### OPTIONAL_EDEFAULT

protected static final boolean OPTIONAL_EDEFAULT
The default value of the '`Optional`' attribute.

See Also:
  - `isOptional()`
  - Constant Field Values

### optional

protected boolean optional
The cached value of the '`Optional`' attribute.

See Also:
  - `isOptional()`

## Constructor Details

### CommandParameterImpl

protected CommandParameterImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ApplicationElementImpl`

### getName

public String getName()

Specified by:
  `getName` in interface `MCommandParameter`
Returns:
  the value of the 'Name' attribute.
See Also:
  - `MCommandParameter.setName(String)`

### setName

public void setName(String newName)

Specified by:
  `setName` in interface `MCommandParameter`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  - `MCommandParameter.getName()`

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `MCommandParameter`
Returns:
  the value of the 'Type Id' attribute.
See Also:
  - `MCommandParameter.setTypeId(String)`

### setTypeId

public void setTypeId(String newTypeId)

Specified by:
  `setTypeId` in interface `MCommandParameter`
Parameters:
  `newTypeId` - the new value of the 'Type Id' attribute.
See Also:
  - `MCommandParameter.getTypeId()`

### isOptional

public boolean isOptional()

Specified by:
  `isOptional` in interface `MCommandParameter`
Returns:
  the value of the 'Optional' attribute.
See Also:
  - `MCommandParameter.setOptional(boolean)`

### setOptional

public void setOptional(boolean newOptional)

Specified by:
  `setOptional` in interface `MCommandParameter`
Parameters:
  `newOptional` - the new value of the 'Optional' attribute.
See Also:
  - `MCommandParameter.isOptional()`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ApplicationElementImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ApplicationElementImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ApplicationElementImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ApplicationElementImpl`

### toString

public String toString()

Overrides:
  `toString` in class `ApplicationElementImpl`